# 32/64bit spec-file
#
Name:		qbittorrent
Summary:	A C++/QT5 Bittorrent Client
Version:    4.6.4
Release:	%mkrel 1
Source0:	http://downloads.sf.net/qbittorrent/%{name}-%{version}.tar.xz
URL:		http://sourceforge.net/projects/qbittorrent
Group:		Networking/File transfer
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
License: 	GPLv2+
#------------------------------------------
BuildRequires: lib64boost-devel
BuildRequires: lib64openssl-devel
BuildRequires: lib64qt5bluetooth-devel
BuildRequires: lib64qt5clucene-devel
BuildRequires: lib64qt5concurrent5
BuildRequires: lib64qt5concurrent-devel
BuildRequires: lib64qt5core5
BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5dbus5
BuildRequires: lib64qt5dbus-devel
BuildRequires: lib64qt5designer-devel
BuildRequires: lib64qt5gui5
BuildRequires: lib64qt5gui-devel
BuildRequires: lib64qt5help-devel
BuildRequires: lib64qt5labstemplates-devel
BuildRequires: lib64qt5location-devel
BuildRequires: lib64qt5multimedia-devel
BuildRequires: lib64qt5multimediaquick-devel
BuildRequires: lib64qt5multimediawidgets-devel
BuildRequires: lib64qt5network5
BuildRequires: lib64qt5network-devel
BuildRequires: lib64qt5nfc-devel
BuildRequires: lib64qt5positioning-devel
BuildRequires: lib64qt5qml-devel
BuildRequires: lib64qt5quick-devel
BuildRequires: lib64qt5quickparticles-devel
BuildRequires: lib64qt5quickwidgets-devel
BuildRequires: lib64qt5script-devel
BuildRequires: lib64qt5scripttools-devel
BuildRequires: lib64qt5sensors-devel
BuildRequires: lib64qt5serialport-devel
BuildRequires: lib64qt5svg-devel
BuildRequires: lib64qt5waylandclient-devel
BuildRequires: lib64qt5webchannel-devel
BuildRequires: lib64qt5webkit-devel
BuildRequires: lib64qt5webkitwidgets-devel
BuildRequires: lib64qt5websockets-devel
BuildRequires: lib64qt5widgets5
BuildRequires: lib64qt5widgets-devel
BuildRequires: lib64qt5x11extras-devel
BuildRequires: lib64qt5xml5
BuildRequires: lib64qt5xml-devel
BuildRequires: lib64qt5xmlpatterns-devel
BuildRequires: lib64torrent-rasterbar-devel
BuildRequires: phonon4qt5-devel
BuildRequires: qtbase5-common-devel 
BuildRequires: zlib1-devel 
BuildRequires: desktop-file-utils
BuildRequires: qtsingleapplication-qt5-devel
#------------------------------------------
Requires: mesa
Requires: net-tools 
Requires: lib64torrent-rasterbar2.0
Requires: lib64boost_system1.79.0
Requires: lib64qtsingleapplication-qt5_1

%description
A Bittorrent client with a polished Qt4 user interface.
It aims to be as fast as possible and to provide multi-OS, unicode support.

- A polished Graphical User Interface written with Qt4 toolkit
- UPnP / NAT-PMP port forwarding support
- Encryption support (compatible with Azureus)
- Multiple simultaneous downloads / uploads
- A well-integrated search engine
- DHT (trackerless) support
- uTorrent Peer eXchange support (PeX)
- Directory scanning with automated download of torrents inside
- And more

%prep
%setup -q

%build
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"
%cmake -DQT6=OFF -DSYSTEMD=OFF
%cmake_build

%install
rm -rf $RPM_BUILD_ROOT
%cmake_install

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-, root, root, -)
%{_bindir}
%{_datadir}

%post
%update_desktop_database &> /dev/null ||:
%update_mime_database &> /dev/null ||:
%update_icon_cache hicolor

%postun
%clean_desktop_database &> /dev/null ||:''
%clean_mime_database &> /dev/null ||:''
%clean_icon_cache hicolor


%changelog
* Mon Mar 25 2024 tex - 4.6.4-1pclos2024
- new version

* Tue Feb 27 2024 tex - 4.6.3-2pclos2024
- rebuild against updates

* Wed Jan 17 2024 tex - 4.6.3-1pclos2024
- new version

* Tue Nov 28 2023 tex - 4.6.2-1pclos2023
- new version

* Tue Nov 21 2023 tex - 4.6.1-1pclos2023
- new version

* Mon Oct 23 2023 tex - 4.6.0-1pclos2023
- new version

* Wed Aug 30 2023 tex - 4.5.5-1pclos2023
- new version

* Mon Jun 19 2023 tex - 4.5.4-1pclos2023
- new version

* Thu Jun 01 2023 tex - 4.5.3-1pclos2023
- new version

* Tue Feb 28 2023 tex - 4.5.2-1pclos2023
- new version

* Sun Feb 12 2023 tex - 4.5.1-1pclos2023
- new version

* Mon Nov 28 2022 tex - 4.5.0-1pclos2022
- new version

* Sun Oct 30 2022 tex - 4.4.5-4pclos2022
- rebuild against updates

* Sat Sep 17 2022 tex - 4.4.5-3pclos2022
- rebuild against updates

* Mon Sep 12 2022 tex - 4.4.5-2pclos2022
- rebuild against updates

* Wed Aug 31 2022 tex - 4.4.5-1pclos2022
- new version

* Thu Aug 25 2022 tex - 4.4.4-1pclos2022
- new version

* Thu May 26 2022 tex - 4.4.3.1-1pclos2022
- new version

* Mon May 23 2022 tex - 4.4.3-1pclos2022
- new version

* Fri Mar 25 2022 tex - 4.4.2-1pclos2022
- new version

* Wed Feb 16 2022 tex - 4.4.1-1pclos2022
- new version

* Fri Jan 07 2022 tex - 4.4.0-1pclos2022
- new version

* Wed Dec 22 2021 tex - 4.3.9-2pclos2021
- rebuild against updates

* Mon Nov 01 2021 tex - 4.3.9-1pclos2021
- new version

* Sat Sep 11 2021 tex - 4.3.8-2pclos2021
- rebuild against updates

* Sun Aug 29 2021 tex - 4.3.8-1pclos2021
- new version

* Sun Jun 27 2021 tex - 4.3.6-1pclos2021
- new version

